Bug 905700 (CVE-2013-0213) - CVE-2013-0213 samba: clickjacking vulnerability in SWAT
Summary: CVE-2013-0213 samba: clickjacking vulnerability in SWAT
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0213
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 906002 906003 957589 957591 1015359 1073350 1073351
Blocks: 905705 952520 974906
TreeView+ depends on / blocked
 
Reported: 2013-01-30 00:40 UTC by Vincent Danen
Modified: 2019-09-29 12:59 UTC (History)
6 users (show)

Fixed In Version: samba 4.0.2, samba 3.6.12, samba 3.5.21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-17 18:15:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1310 normal SHIPPED_LIVE Moderate: samba3x security and bug fix update 2013-10-01 00:31:20 UTC
Red Hat Product Errata RHSA-2013:1542 normal SHIPPED_LIVE Moderate: samba security, bug fix, and enhancement update 2013-11-20 21:40:45 UTC
Red Hat Product Errata RHSA-2014:0305 normal SHIPPED_LIVE Moderate: samba security update 2014-03-17 21:42:45 UTC

Description Vincent Danen 2013-01-30 00:40:59 UTC
It was reported [1] that Samba's SWAT web configuration interface suffered from a potential clickjacking vulnerability, which allows the SWAT page to be embedded in an attacker's web page using a frame or iframe, and then tricking the user to change Samba settings.

This is being fixed by telling the browser to refuse frame embedding via the "X-Frame-Options: DENY" header.

[1] https://bugzilla.samba.org/show_bug.cgi?id=9576

Comment 1 Vincent Danen 2013-01-30 01:04:23 UTC
Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue. Upstream acknowledges Jann Horn as the original reporter.

Comment 3 Vincent Danen 2013-01-30 15:26:03 UTC
This has been corrected in upstream versions 4.0.2, 3.6.12, and 3.5.21.

External References:

http://www.samba.org/samba/history/samba-4.0.2.html

Comment 5 Vincent Danen 2013-01-30 15:29:31 UTC
Created samba4 tracking bugs for this issue

Affects: fedora-17 [bug 906003]

Comment 6 Vincent Danen 2013-01-30 15:29:35 UTC
Created samba tracking bugs for this issue

Affects: fedora-all [bug 906002]

Comment 8 Jan Lieskovsky 2013-01-31 15:50:25 UTC
External References:

http://www.samba.org/samba/security/CVE-2013-0213

Comment 10 Fedora Update System 2013-02-12 05:02:48 UTC
samba-3.6.12-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-02-12 05:06:12 UTC
samba-4.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-02-12 05:30:09 UTC
samba-3.6.12-1.fc17.1 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Andreas Schneider 2013-02-18 10:55:16 UTC
Samba upstream wants to remove SWAT in Samba 4.1, see:

https://lists.samba.org/archive/samba-technical/2013-February/090572.html

Comment 15 Tomas Hoger 2013-09-20 09:27:59 UTC
Upstream commit:

http://git.samba.org/?p=samba.git;a=commitdiff;h=7122594

Comment 16 errata-xmlrpc 2013-09-30 22:20:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1310 https://rhn.redhat.com/errata/RHSA-2013-1310.html

Comment 17 Huzaifa S. Sidhpurwala 2013-10-01 04:55:17 UTC
Statement:

(none)

Comment 22 errata-xmlrpc 2013-11-21 05:21:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1542 https://rhn.redhat.com/errata/RHSA-2013-1542.html

Comment 25 errata-xmlrpc 2014-03-17 17:43:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0305 https://rhn.redhat.com/errata/RHSA-2014-0305.html


Note You need to log in before you can comment on or make changes to this bug.